using System.Diagnostics;

namespace ProximaAnalizer.ViewModels;

internal partial class SummaryViewModel(IRegionManager regionManager, IEventAggregator eventAggregator) : ObservableObject
{
    [RelayCommand]
    private void Test(string para)
    {
        regionManager.RequestNavigate("MainRegion", para);
    }

    [RelayCommand]
    private void Return()
    {
        eventAggregator.GetEvent<WindowSwitch>().Page = Pages.RecipeStepNavi;
        eventAggregator.GetEvent<WindowSwitch>().Publish();
    }
}
